using ldap_cesi.DTOs.Inputs.Service;
using ldap_cesi.Entities;
using ldap_cesi.Models;

namespace ldap_cesi.Services.Interfaces;

public interface IServiceService
{
    Task<IResponseDataModel<List<Service>>> GetAll();
    Task<IResponseDataModel<Service>> GetById(int id);
    Task<IResponseDataModel<string>> CreateService(ServiceCreateDto serviceCreateDto);
}